/* Sentinel - IRC Statistical and Operator Services
** lang.h - Customizable text strings for the HTML dump
**
** Copyright W. Campbell and others.  See README for more details
** Some code Copyright: Jonathan George, Kai Seidler, ircd-hybrid Team,
**                      IRCnet IRCD developers.
**
** $Id: lang.h,v 1.10 2003/09/05 16:08:10 wcampbel Exp $
*/

#ifndef LANG_H
#define LANG_H

/* The following defines are used by the HTML dump (genhtml.awk and
** the created html.c file) to substitute for words and formatting
** characters.  The defaults here are English.
**
** I ask anyone who changes these to another language to submit them
** for inclusion in the contrib directory.
*/

/* Note, there are also some individual words here that can be replaced */

/* Note also that some items are used in more than one location */

/* !NETWORK_DATA! elements */
#define H_MYNAME	"<B>My Name:</B>"
#define H_MYUPLINK	"<B>My Uplink:</B>"
#define H_MYADMIN	"<B>My Admin:</B>"
#define H_CUSER		"<B>Current User Count:</B>"
#define H_MUSER		"<B>Max Users:</B>"

/* This is used before times and dates, as in:
** Max Users: 194 at Saturday, 28 Dec 2002, 01:43 EST
**                ^^
*/
#define H_TIMEPREP	"at"
#define H_CAWAY		"<B>Current Away User Count:</B>"
#define H_MAWAY		"<B>Max Away:</B>"
#define H_CINVIS	"<B>Current Invisible User Count:</B>"
#define H_COPER		"<B>Current Oper Count:</B>"
#define H_MOPER		"<B>Max Opers:</B>"
#define H_CSERVER	"<B>Current Server Count:</B>"
#define H_MSERVER	"<B>Max Servers:</B>"
#define H_CSERVICE	"<B>Current Service Count:</B>"
#define H_MSERVICE	"<B>Max Services:</B>"
#define H_CCHANNEL	"<B>Current Channel Count:</B>"
#define H_MCHANNEL	"<B>Max Channels:</B>"

/* H_NETCLICON %ld H_SINCEST %ld H_TODAY
** <B>Network Client Connections:</B> %ld since startup, %ld today
*/
#define H_NETCLICON	"<B>Network Client Connections:</B>"
#define H_SINCEST	"since startup,"
#define H_TODAY		"today"

#define H_LASTUP	"<B>Statistics Last Updated:</B>"
#define H_CURRUP	"<B>Current Uptime:</B>"
#define H_INTERVAL	"<B>HTML Dump Interval:</B>"
#define H_STATSVER	"<B>Sentinel Version:</B>"

/* !TABLE_LIST! elements */
#define H_SERVER	"Server"
#define H_USERMAX	"Users/Max"
#define H_OPERMAX	"Opers/Max"
#define H_PERCENT	"Percent"

/* !TLD_TABLE! elements */
#define H_W_USER	"user"
#define H_W_USERS	"users" 
/* This is used before a TLD name, as in:
** 12 users on Generic Top Level Domain (net) (44%)
**          ^^
*/
#define H_TLDPREP	"on"

/* !OPER_LIST! elements */
/* This is used before a server name, as in:
** 5. [A] Hwy on irc.botbay.net
**            ^^
*/
#define H_SERVPREP	"on"

/* !SPLIT_LIST! elements */
/* This is used before a time interval, as in:
** test.botbay.net for 2 hours, 21 minutes
**                 ^^^
*/
#define H_SPLITPREP	"for"
#define H_NOSPLITS	"No Splits"

/* !VERSION_MAP! elements */
#define H_VERSION	"Version"
#define H_UNKVERSION	"Unknown Version"

/* !SERVER_DATA! elements */

/* The separator between server data entries */
#define H_SEP		"<HR>"

/* The HTML that goes before and after the server name for each entry */
#define H_SERVER_BEG	"<CENTER><H3>"
#define H_SERVER_END	"</H3></CENTER><P>"

#define H_DESC		"<B>Description Line:</B>"
#define H_SD_VERSION	"<B>Version:</B>"
#define H_ADMIN		"<B>Admin:</B>"
#define H_CONSINCE	"<B>Connected Since:</B>"
#define H_UPLINK	"<B>Uplink:</B>"

/* !DYN_HEADER! elements */
/* This item is followed by a time and date. */
#define H_TITLE		"IRC Statistics for"

/* !SERVICE_LIST! elements */
#define H_DIST		"distribution"

/* These items are for the timediff() function, used to process time
** quantities (3 days, 45 minutes, 21 seconds)
*/
#define T_DAY		"day"
#define T_DAYS		"days"
#define T_HOUR		"hour"
#define T_HOURS		"hours"
#define T_MINUTE	"minute"
#define T_MINUTES	"minutes"
#define T_SECOND	"second"
#define T_SECONDS	"seconds"

/* !TOP_CHANNELS! elements */
#define H_RANK		"Rank"
#define H_CHANNAME	"Channel Name"
#define H_CAPUSERS	"Users"

#endif
